Verified Commit 5db588e9 authored by Karel Koci's avatar Karel Koci 🤘
Browse files

lists: move opkg from base-min to base

With removed updater from base-min the opkg should be removed as well as
it serves the same purpose and is not essential for hardware
functionality.
Again to recapitulate the idea: The only self-updating and thus self
package installing base is the base. Any other base either have to
include base.lua or root based on it has to be managed externally (out
of root in updater or --dest in opkg).
parent 8c55c7fe
......@@ -28,8 +28,6 @@ Install("netifd", "firewall", "dns-resolver", { critical = true})
-- OpenWrt minimum
Install("ebtables", "dnsmasq-full", "odhcpd", "odhcp6c", { priority = 40 })
Install("urandom-seed", { priority = 40 })
Install("opkg", "libustream-openssl", { priority = 40 })
Uninstall("wget-nossl", { priority = 40 }) -- opkg required SSL variant only
-- Turris minimum
Install("cronie", { priority = 40 })
......
......@@ -11,6 +11,9 @@ list_script('foris.lua')
list_script('terminal-apps.lua')
list_script('webapps.lua')
-- OpenWrt package management
Install("opkg", "libustream-openssl", { priority = 40 })
Uninstall("wget-nossl", { priority = 40 }) -- opkg required SSL variant only
-- Install various timezone information so local time would work
local zoneinfo = {"core", "atlantic", "asia", "africa", "australia-nz", "europe", "northamerica", "india", "pacific", "poles", "simple", "southamerica"}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment